The ChatInfo relevant to a DirectChat.

### Hierarchy

- ChatInfo
  - DirectChatInfo

## Index

### Properties

- chatId
- chatType
- createdTime
- lastEventNumber
- lastEventTime
- maxSeenEventNumber
- members
- membership
- name
- otherUsers
- topic

## Properties

### chatId

chatId: string

Inherited from MembershipChatInfo.chatId

The unique ID for this chat.

### chatType

chatType: ChatType

Inherited from MembershipChatInfo.chatType

The type of chat: ChatRoom, ChatChannel or DirectChat.

### createdTime

createdTime: Date

Inherited from MembershipChatInfo.createdTime

The timestamp when this chat was created.

### lastEventNumber

lastEventNumber: number

Inherited from MembershipChatInfo.lastEventNumber

The sequential number of the most recent event for this chat.

### lastEventTime

lastEventTime: Date

Inherited from MembershipChatInfo.lastEventTime

The timestamp of the most recent event for this chat.

### maxSeenEventNumber

maxSeenEventNumber: number

Inherited from MembershipChatInfo.maxSeenEventNumber

The number of the most recent event which any member has received.

### members

members: ChatMember[]

Inherited from MembershipChatInfo.members

An array of the current members of this chat.

### membership

membership: ChatMembership

Inherited from ChatInfo.membership

Whether this chat is public or private. In a private chat, members must be explicitly added by another member with the appropriate permissions (see ChatPermission).

### name

name: string

Inherited from MembershipChatInfo.name

An optional name for this chat.

### otherUsers

otherUsers: ChatMember[]

### topic

topic: string

Inherited from MembershipChatInfo.topic

An optional topic for this chat.